Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Interface RtfExtendedElement

All Superinterfaces:
  RtfBasicElement

All Known Implementing Classes:
  RtfCell, RtfCodePage, RtfColor, RtfColorList, RtfFont, RtfFontList, RtfList, RtfListTable, RtfPageSetting, RtfParagraphStyle, RtfStylesheetList

    public interface RtfExtendedElement

extends RtfBasicElement

The RtfExtendedElement interface is to be used for elements that also write data into the definition part of the rtf document

Version:
  $Id: RtfExtendedElement.java 2996 2007-11-20 22:40:36Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Method Summary
`byte[]` | `writeDefinition()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeDefinition(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeDefinition(OutputStream out)` Write the definition part of the element

Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement
`setInHeader, setInTable, setRtfDocument, write, writeContent`

Method Detail

### writeDefinition

    byte[] writeDefinition()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeDefinition(OutputStream)`, scheduled for removal at or after 2.1.0

  Return the definition part of the element in a byte array

  Returns:
    A byte array containing the definition data of the Element

### writeDefinition

    void writeDefinition(OutputStream out)
                         throws IOException

  Write the definition part of the element

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD